The POS Opening Entry object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

status string

Default: draft

period_start_date string required
period_end_date string
posting_date string required
company string required
pos_profile string required
user string required
set_posting_date boolean

Default: false

pos_closing_entry string
The POS Opening Entry object
{
  "id": "p-o-s-opening-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "period_start_date": "2024-01-15",
  "period_end_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "pos_profile": "pos_profile_example",
  "user": "user_example",
  "set_posting_date": false,
  "pos_closing_entry": "pos_closing_entry_example"
}
GET /api/accounts/p-o-s-opening-entry/{id}

Retrieve a pos opening entry

Retrieves the details of an existing pos opening entry. Supply the unique pos opening entry ID that was returned from a previous request.

Path parameters

id string required

The identifier of the pos opening entry to retrieve.

Returns

Returns the pos opening entry object if a valid identifier was provided.

GET /api/accounts/p-o-s-opening-entry/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-opening-entry/p-o-s-opening-entry_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "p-o-s-opening-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "period_start_date": "2024-01-15",
  "period_end_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "pos_profile": "pos_profile_example",
  "user": "user_example",
  "set_posting_date": false,
  "pos_closing_entry": "pos_closing_entry_example"
}
GET /api/accounts/p-o-s-opening-entry

List all pos opening entrys

Returns a list of pos opening entrys. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of pos opening entry objects.

GET /api/accounts/p-o-s-opening-entry
curl https://api.overplane.dev/api/accounts/p-o-s-opening-entry \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "p-o-s-opening-entry_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "status": "draft",
      "period_start_date": "2024-01-15",
      "period_end_date": "2024-01-15",
      "posting_date": "2024-01-15",
      "company": "Example Corp",
      "pos_profile": "pos_profile_example",
      "user": "user_example",
      "set_posting_date": false,
      "pos_closing_entry": "pos_closing_entry_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/p-o-s-opening-entry

Create a pos opening entry

Creates a new pos opening entry object.

Body parameters

status string

Default: draft

period_start_date string required
period_end_date string
posting_date string required
company string required
pos_profile string required
user string required
set_posting_date boolean

Default: false

pos_closing_entry string

Returns

Returns the newly created pos opening entry object if the call succeeded.

POST /api/accounts/p-o-s-opening-entry
curl https://api.overplane.dev/api/accounts/p-o-s-opening-entry \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"period_start_date":"2024-01-15","posting_date":"2024-01-15","company":"Example Corp","pos_profile":"pos_profile_example","user":"user_example"}'
Response
{
  "id": "p-o-s-opening-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "period_start_date": "2024-01-15",
  "period_end_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "pos_profile": "pos_profile_example",
  "user": "user_example",
  "set_posting_date": false,
  "pos_closing_entry": "pos_closing_entry_example"
}
PATCH /api/accounts/p-o-s-opening-entry/{id}

Update a pos opening entry

Updates the specified pos opening entry by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the pos opening entry to update.

Body parameters

status string

Default: draft

period_start_date string
period_end_date string
posting_date string
company string
pos_profile string
user string
set_posting_date boolean

Default: false

pos_closing_entry string

Returns

Returns the updated pos opening entry object.

PATCH /api/accounts/p-o-s-opening-entry/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-opening-entry/p-o-s-opening-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"status":"draft","period_start_date":"2024-01-15"}'
Response
{
  "id": "p-o-s-opening-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "period_start_date": "2024-01-15",
  "period_end_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "pos_profile": "pos_profile_example",
  "user": "user_example",
  "set_posting_date": false,
  "pos_closing_entry": "pos_closing_entry_example"
}
DELETE /api/accounts/p-o-s-opening-entry/{id}

Delete a pos opening entry

Permanently deletes a pos opening entry. This cannot be undone.

Path parameters

id string required

The identifier of the pos opening entry to delete.

Returns

Returns a confirmation that the pos opening entry has been deleted.

DELETE /api/accounts/p-o-s-opening-entry/{id}
curl https://api.overplane.dev/api/accounts/p-o-s-opening-entry/p-o-s-opening-entry_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "p-o-s-opening-entry_abc123",
  "deleted": true
}
POST /api/accounts/p-o-s-opening-entry/{id}/submit

Submit a pos opening entry

Submits a draft pos opening entry, transitioning its status from draft to submitted.

Path parameters

id string required

The identifier of the pos opening entry to act on.

Returns

Returns the pos opening entry object with updated status.

POST /api/accounts/p-o-s-opening-entry/{id}/submit
curl https://api.overplane.dev/api/accounts/p-o-s-opening-entry/p-o-s-opening-entry_abc123/submit \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "p-o-s-opening-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "period_start_date": "2024-01-15",
  "period_end_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "pos_profile": "pos_profile_example",
  "user": "user_example",
  "set_posting_date": false,
  "pos_closing_entry": "pos_closing_entry_example"
}
POST /api/accounts/p-o-s-opening-entry/{id}/cancel

Cancel a pos opening entry

Cancels a submitted pos opening entry, transitioning its status to cancelled.

Path parameters

id string required

The identifier of the pos opening entry to act on.

Returns

Returns the pos opening entry object with updated status.

POST /api/accounts/p-o-s-opening-entry/{id}/cancel
curl https://api.overplane.dev/api/accounts/p-o-s-opening-entry/p-o-s-opening-entry_abc123/cancel \
  -H "Authorization: Bearer sk_test_..." \
  -X POST
Response
{
  "id": "p-o-s-opening-entry_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "status": "draft",
  "period_start_date": "2024-01-15",
  "period_end_date": "2024-01-15",
  "posting_date": "2024-01-15",
  "company": "Example Corp",
  "pos_profile": "pos_profile_example",
  "user": "user_example",
  "set_posting_date": false,
  "pos_closing_entry": "pos_closing_entry_example"
}